Table of Contents

## Name

glActiveTextureARB - select active texture unit

## C Specification

void glActiveTextureARB( GLenum texture )

eqn not supported

## Parameters

texture
  Specifies which texture unit to make active. The number of texture units is implementation dependent, but must be at least two. texture must be one of GL_TEXTURE$i$_ARB, where 0 <= $ i $ < GL_MAX_TEXTURE_UNITS_ARB, which is an implementation-dependent value. The initial value is GL_TEXTURE0_ARB.

## Description

glActiveTextureARB selects which texture unit subsequent texture state calls will affect. The number of texture units an implementation supports is implementation dependent, but must be at least 2.

Vertex arrays are client-side GL resources, which are selected by the glClientActiveTextureARB routine.

## Notes

glActiveTextureARB is only supported if GL_ARB_multitexture is included in the string returned by glGetString when called with the argument GL_EXTENSIONS.

## Errors

GL_INVALID_ENUM is generated if texture is not one of GL_TEXTURE$i$_ARB,
where 0 <= $ i $ < GL_MAX_TEXTURE_UNITS_ARB.

## See Also

glClientActiveTextureARB(3G) , glGetIntegerv(3G) , glMultiTexCoordARB(3G) , glTexParameter(3G)

Table of Contents

- Name
- C Specification
- Parameters
- Description
- Notes
- Errors
- See Also